Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface BindingMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  EBXMLBindingMBean, RosettaNetBindingMBean, WebServiceBindingMBean

public interface BindingMBean
extends TPMBaseMBean

The class is an base interface for all the binding types supported by WLI for Trading Partner Management. There are 3 types of bindings supported

- ebXml
- RosettaNet
- WebService

Field Summary
`static String` | `EBXML`
`static String` | `EBXML_10`
`static String` | `EBXML_20`
`static String` | `ROSETTANET`
`static String` | `ROSETTANET_11`
`static String` | `ROSETTANET_20`
`static String` | `WEBSERVICE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addReferenceToTransport(TransportMBean mbean)` Internal Use Only - Adds the Transport MBean to this binding.
`void` | `addTransport(String protocol, String protocolVersion, String endpoint, String timeout)` Registers the transport for this binding.
`String` | `getBindingName()` Returns the name of this binding type.
`String` | `getBusinessProtocolName()` Returns the type of business protocol for this binding.
`String` | `getBusinessProtocolVersion()` Returns the version of the business protcol specified for the binding
`String` | `getTradingPartnerName()` For OAM use only - Retrieves the name of the trading partner
`boolean` | `isDefaultBinding()` Determines whether this binding is the default binding for the business protocol.
`boolean` | `isEbxml()`
`boolean` | `isRosettaNet()`
`boolean` | `isWebService()`
`void` | `removeTransport()` Deletes the transport associated with this binding type.
`TradingPartnerMBean` | `retrieveTradingPartner()` Retrieves the TradingPartnerMBean for this binding.
`TransportMBean` | `retrieveTransport()` Retrieves the Transport for this Binding
`void` | `setBindingName(String newValue)` Registers the name of this binding type.
`void` | `setBusinessProtocolName(String newValue)` Specifies the business protocol to be used for this binding.
`void` | `setBusinessProtocolVersion(String newValue)` Specifies the version of the business protocol used for this binding.
`void` | `setDefaultBinding(boolean newValue)` Specifies that the current binding, be the default binding for the business protocol type.
`void` | `setEbxml()` OAM Use Only - Determines whether this binding is of Ebxml Binding type.
`void` | `setRosettaNet()` OAM Use Only - Determines whether this binding is of RosettaNet Binding type.
`void` | `setWebService()` OAM Use Only - Determines whether this binding is of Web Service Binding type.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### EBXML

    public static final String EBXML

See Also:
  Constant Field Values

### ROSETTANET

    public static final String ROSETTANET

See Also:
  Constant Field Values

### WEBSERVICE

    public static final String WEBSERVICE

See Also:
  Constant Field Values

### EBXML_10

    public static final String EBXML_10

See Also:
  Constant Field Values

### EBXML_20

    public static final String EBXML_20

See Also:
  Constant Field Values

### ROSETTANET_11

    public static final String ROSETTANET_11

See Also:
  Constant Field Values

### ROSETTANET_20

    public static final String ROSETTANET_20

See Also:
  Constant Field Values

Method Detail

### getBindingName

    public String getBindingName()

  Returns the name of this binding type. Binding name is unique for a trading partner.

  Returns:
    Name of binding.

### setBindingName

    public void setBindingName(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers the name of this binding type. The name must be unique, for all bindings for a particuler trading partner. The name can be max of 254 characters and cannot be null. The name must not have any blank spaces.

  Parameters:
    `newValue` - - the name of the binding
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the name cannot be set or the name has invalid characters.

### isDefaultBinding

    public boolean isDefaultBinding()

  Determines whether this binding is the default binding for the business protocol.

  Returns:
    Boolean - true if the binding is the default binding for the binding type - false if it is not

### setDefaultBinding

    public void setDefaultBinding(boolean newValue)
                           throws javax.management.InvalidAttributeValueException

  Specifies that the current binding, be the default binding for the business protocol type. Each business protocol type can have one default binding, this implies that there can be only one default binding for different versions of the business protocols.

  For example

  If you have configured 2 binding for EBXML protocol, with names 'ebxml10' one for version 1.0 and 'ebxml20' for version 2.0. Then you can define either binding 'ebxml10' or 'ebxml20' as the default binding.

  Parameters:
    `newValue` - - new value for attribute Default
  Throws:
    `javax.management.InvalidAttributeValueException` - - If unable to the set the current binding as the default binding

### setRosettaNet

    public void setRosettaNet()

  OAM Use Only - Determines whether this binding is of RosettaNet Binding type.

### isRosettaNet

    public boolean isRosettaNet()

### setEbxml

    public void setEbxml()

  OAM Use Only - Determines whether this binding is of Ebxml Binding type.

### isEbxml

    public boolean isEbxml()

### setWebService

    public void setWebService()

  OAM Use Only - Determines whether this binding is of Web Service Binding type.

### isWebService

    public boolean isWebService()

### getBusinessProtocolName

    public String getBusinessProtocolName()

  Returns the type of business protocol for this binding.

  Returns:
    Business protocol name, returned value will be one of the following
    - EBXML
    - ROSETTANET
    - WEBSERVICE

### setBusinessProtocolName

    public void setBusinessProtocolName(String newValue)
                                 throws javax.management.InvalidAttributeValueException

  Specifies the business protocol to be used for this binding. Business protocol can be one of
  - EBXML
  - ROSETTANET
  - WEBSERVICE

  Parameters:
    `newValue` - - the business protocol name
  Throws:
    `javax.management.InvalidAttributeValueException` - - If specified value is of unknown type

### getBusinessProtocolVersion

    public String getBusinessProtocolVersion()

  Returns the version of the business protcol specified for the binding

  Returns:
    Version of the business protcol. Following are the value possible for each business protocol

    EBXML

    - 1.0
    - 2.0
    ROSETTANET
    - 1.1
    - 2.0
    WEBSERVICE
    - 1.0 or null

### setBusinessProtocolVersion

    public void setBusinessProtocolVersion(String newValue)
                                    throws javax.management.InvalidAttributeValueException

  Specifies the version of the business protocol used for this binding. Valid valus for each business protocol are

  EBXML

  - 1.0
  - 2.0
  ROSETTANET
  - 1.1
  - 2.0
  WEBSERVICE
  - 1.0 or null

  Parameters:
    `newValue` - - the business protocol version
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the value specified is not supported by the business protocol

### addTransport

    public void addTransport(String protocol,
                             String protocolVersion,
                             String endpoint,
                             String timeout)
                      throws ConfigurationException

  Registers the transport for this binding. Transport protocol and endpoint is used to send and receive business document. The transport protocol and version supported are

  - HTTP - Version 1.0, 1.1
  - HTTPS - Version 1.1
  - JMS - Version information is ignored

  The endpoint uri is the URL where business doc would be sent or received between you and your partners for example http://localhost:7001/ebxml10/bea, could be the url specified to exchange messages with BEA using ebxml as the business protocol

  This method also register a Transport mbean with the mbean server.

  Parameters:
    `protocol` - - the protocol to be used for transport
    `protocolVersion` - - the version of the transport protocol used
    `endpoint` - - the url for the endpoint
    `timeout` - - the timeout for the endpoint
  Throws:
    `ConfigurationException` - - If unable to add a transport for this binding or the combination of protocol and protocol version is incorrect

### addReferenceToTransport

    public void addReferenceToTransport(TransportMBean mbean)
                                 throws ConfigurationException

  Internal Use Only - Adds the Transport MBean to this binding.

  Parameters:
    `mbean` - - Transport MBean
  Throws:
    `ConfigurationException` - - If fails to add the transport

### removeTransport

    public void removeTransport()
                         throws DeleteException

  Deletes the transport associated with this binding type. This will also unregister the Transport MBean with the mbean server.

  Throws:
    `DeleteException` - - If unable to disassociate the transport for this binding

### retrieveTransport

    public TransportMBean retrieveTransport()
                                     throws ManagementException

  Retrieves the Transport for this Binding

  Throws:
    `ManagementException`

### retrieveTradingPartner

    public TradingPartnerMBean retrieveTradingPartner()
                                               throws ManagementException

  Retrieves the TradingPartnerMBean for this binding.

  Returns:
    - Returns the trading partner for the binding. `null` is no trading partner is associated with this binding
  Throws:
    `ManagementException` - - If unable to find the the trading partner for this binding type.

### getTradingPartnerName

    public String getTradingPartnerName()
                                 throws ManagementException

  For OAM use only - Retrieves the name of the trading partner

  Returns:
    - Returns the name of the trading partner, this cannot be null.
  Throws:
    `ManagementException` - - If unable to load the the trading partner for this binding.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD